netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpstats.c File Reference
`#include <errno.h>`
`#include <pthread.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <glib.h>`
`#include <gio/gio.h>`
`#include <atalk/compat.h>`
`#include <atalk/errchk.h>`
`#include <atalk/logger.h>`
`#include <atalk/server_child.h>`
`#include "afpstats_obj.h"`

## Functions
static void | handle_method_call (GDBusConnection *connection, const gchar *sender, const gchar *object_path, const gchar *interface_name, const gchar *method_name, GVariant *parameters, GDBusMethodInvocation *invocation, gpointer user_data)
static void | on_bus_acquired (GDBusConnection *connection, const gchar *name, gpointer user_data)
static void | on_name_acquired (GDBusConnection *connection, const gchar *name, gpointer user_data)
static void | on_name_lost (GDBusConnection *connection, const gchar *name, gpointer user_data)
static gpointer | afpstats_thread (gpointer _data)
static void | my_glib_log (const gchar *log_domain, GLogLevelFlags log_level, const gchar *message, gpointer user_data)
server_child_t * | afpstats_get_and_lock_childs (void)
void | afpstats_unlock_childs (void)
int | afpstats_init (server_child_t *childs_in)

## Variables
static server_child_t * | childs
static GDBusNodeInfo * | introspection_data = NULL
static const GDBusInterfaceVTable | interface_vtable

## Function Documentation

## ◆ afpstats_get_and_lock_childs()

server_child_t * afpstats_get_and_lock_childs | ( | void |  | ) |

## ◆ afpstats_init()

int afpstats_init | ( | server_child_t * | childs_in | ) |

## ◆ afpstats_thread()

gpointer afpstats_thread | ( | gpointer | _data | ) |
| static

## ◆ afpstats_unlock_childs()

void afpstats_unlock_childs | ( | void |  | ) |

## ◆ handle_method_call()

void handle_method_call | ( | GDBusConnection * | connection,
|  | const gchar * | sender,
|  | const gchar * | object_path,
|  | const gchar * | interface_name,
|  | const gchar * | method_name,
|  | GVariant * | parameters,
|  | GDBusMethodInvocation * | invocation,
|  | gpointer | user_data )
| static

## ◆ my_glib_log()

void my_glib_log | ( | const gchar * | log_domain,
|  | GLogLevelFlags | log_level,
|  | const gchar * | message,
|  | gpointer | user_data )
| static

## ◆ on_bus_acquired()

void on_bus_acquired | ( | GDBusConnection * | connection,
|  | const gchar * | name,
|  | gpointer | user_data )
| static

## ◆ on_name_acquired()

void on_name_acquired | ( | GDBusConnection * | connection,
|  | const gchar * | name,
|  | gpointer | user_data )
| static

## ◆ on_name_lost()

void on_name_lost | ( | GDBusConnection * | connection,
|  | const gchar * | name,
|  | gpointer | user_data )
| static

## Variable Documentation

## ◆ childs

server_child_t* childs
| static

## ◆ interface_vtable

const GDBusInterfaceVTable interface_vtable
| static

Initial value:
= {
&handle_method_call,
NULL,
NULL,
{ 0 }
}
handle_method_call
static void handle_method_call(GDBusConnection *connection, const gchar *sender, const gchar *object_path, const gchar *interface_name, const gchar *method_name, GVariant *parameters, GDBusMethodInvocation *invocation, gpointer user_data)
Definition afpstats.c:42

## ◆ introspection_data

GDBusNodeInfo* introspection_data = NULL
| static